Bug 541524 - Review Request: a2jmidid - Daemon for exposing ALSA sequencer applications in JACK MIDI system
Summary: Review Request: a2jmidid - Daemon for exposing ALSA sequencer applications in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-26 07:59 UTC by Orcan Ogetbil
Modified: 2010-08-05 23:33 UTC (History)
3 users (show)

Fixed In Version: a2jmidid-6-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 23:28:26 UTC
mattias.ellert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2009-11-26 07:59:01 UTC
Spec URL: http://oget.fedorapeople.org/review/a2jmidid.spec
SRPM URL: http://oget.fedorapeople.org/review/a2jmidid-5-1.fc12.src.rpm
Description: 
a2jmidid is a project that aims to ease usage of legacy ALSA sequencer
applications, in a JACK MIDI enabled system. There are two ways to use legacy
ALSA sequencer applications in JACK MIDI system.

The first approach is to use automatic bridging. For every ALSA sequencer port
you get one JACK MIDI port. If ALSA sequencer port is both input and output
one, you get two JACK MIDI ports, one input and output.

The second approach is to static bridges. You start application that creates
one ALSA sequencer port and one JACK MIDI port. Such bridge is unidirectional.


rpmlint is silent.

koji rawhide build: 
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1831682

Comment 1 Orcan Ogetbil 2010-01-30 22:50:40 UTC
Spec URL: http://oget.fedorapeople.org/review/a2jmidid.spec
SRPM URL: http://oget.fedorapeople.org/review/a2jmidid-6-1.fc12.src.rpm

Changelog: 6-1
- Update to 6

Comment 2 Orcan Ogetbil 2010-05-19 17:22:01 UTC
Spec URL: http://oget.fedorapeople.org/review/a2jmidid.spec
SRPM URL: http://oget.fedorapeople.org/review/a2jmidid-6-2.fc12.src.rpm

Changelog: 6-2
- Fix DSO linking

Comment 3 Mattias Ellert 2010-07-15 17:31:28 UTC
Fedora Review a2jmidid 2010-07-15

The build uses the bundles waf that comes in the package rather than the
system waf provided by the waf package - any reason for that?

I can't find and guidelines about waf and bundling, the only thing I
found was this thread on the packaging mailing list, which seems to
favour using the system waf - but the discussion doesn't seen to have
to have ended up in any written guidelines:

http://lists.fedoraproject.org/pipermail/packaging/2009-February/005722.html


rpmlint output:

$ rpmlint a2jmidid-6-2.fc12.src.rpm a2jmidid-6-2.fc12.x86_64.rpm a2jmidid-debuginfo-6-2.fc12.x86_64.rpm
a2jmidid.x86_64: W: no-manual-page-for-binary a2j_control
a2jmidid.x86_64: W: no-manual-page-for-binary j2amidi_bridge
a2jmidid.x86_64: W: no-manual-page-for-binary a2j
a2jmidid.x86_64: W: no-manual-page-for-binary a2jmidi_bridge
a2jmidid.x86_64: W: no-manual-page-for-binary a2jmidid
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Missing manpages is not a blocker.


+ Package is named according to guidelines
+ Specfile is named after the package
+ License tag GPLv2+ is a Fedora approved license

- Only a2jmidi_bridge.c and j2amidi_bridge.c seems to be GPLv2+, the
  rest of the files are GPLv2 - they don't have the "or (at your
  option) any later version" in their license text. Using the license
  tag GPLv2 seems more appropriate.

+ The license file gpl2.txt is included as %doc
+ Specfile is written in legible English
+ Source matches upstream:

$ md5sum srpm/a2jmidid-6.tar.bz2 a2jmidid-6.tar.bz2 
461969bc19a5331e9e81441c6431ef20  srpm/a2jmidid-6.tar.bz2
461969bc19a5331e9e81441c6431ef20  a2jmidid-6.tar.bz2

+ Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2322262

? BuildRequires are sane, but consider the issue with the bundled waf above.

+ No locales
+ No shared libraries
+ No bundled libraries
+ Package owns directories it creates
+ No duplicate files
+ Permissions are sane and &files has %defattr
+ Specfile uses macros consistently
+ Contains code
+ %doc is not runtime essential
+ No headers
+ No static libraries
+ No libtool archives
+ Package does not own other's directories
+ Installed files have valid UTF8 filenames

Comment 4 Mattias Ellert 2010-07-15 18:09:00 UTC
(In reply to comment #3)

> - Only a2jmidi_bridge.c and j2amidi_bridge.c seems to be GPLv2+, the
>   rest of the files are GPLv2 - they don't have the "or (at your
>   option) any later version" in their license text. Using the license
>   tag GPLv2 seems more appropriate.

Looking more closely, the two source files a2jmidi_bridge.c and j2amidi_bridge.c are compiled into their own binaries without being combined with any of the other files, so the a2jmidi_bridge and j2amidi_bridge binaries are in fact GPLv2+. So the License tag should be GPLv2 and GPLv2+.

Comment 5 Orcan Ogetbil 2010-07-16 20:11:17 UTC
(In reply to comment #3)
> Fedora Review a2jmidid 2010-07-15
> 

Thank you for the review!

> The build uses the bundles waf that comes in the package rather than the
> system waf provided by the waf package - any reason for that?
> 
> I can't find and guidelines about waf and bundling, the only thing I
> found was this thread on the packaging mailing list, which seems to
> favour using the system waf - but the discussion doesn't seen to have
> to have ended up in any written guidelines:
> 
> http://lists.fedoraproject.org/pipermail/packaging/2009-February/005722.html
> 

There are a few reasons:
- Since there is no guideline about waf, it is left up to the maintainer's decision.
- Adding a BR will add at least 1 extra build dependency, which is not needed really.
- I am not an expert, but as far as I can tell, waf is not backwards compatible. Just replace ./waf with waf in the specfile and you will get bunch of errors. I worked around some of them, but stopped at some point since this is not a necessity.

SPEC: http://oget.fedorapeople.org/review/a2jmidid.spec
SRPM: http://oget.fedorapeople.org/review/a2jmidid-6-3.fc13.src.rpm

ChangeLog: 
- Fix license tag

Comment 6 Mattias Ellert 2010-07-16 22:26:45 UTC
Package approved.

Comment 7 Orcan Ogetbil 2010-07-16 23:15:57 UTC
Thanks.

New Package CVS Request
=======================
Package Name: a2jmidid
Short Description: Daemon for exposing ALSA sequencer applications in JACK MIDI system
Owners: oget
Branches: F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-07-17 05:43:21 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-07-17 07:59:34 UTC
a2jmidid-6-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/a2jmidid-6-3.fc13

Comment 10 Fedora Update System 2010-07-17 08:00:09 UTC
a2jmidid-6-3.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/a2jmidid-6-3.fc12.1

Comment 11 Fedora Update System 2010-07-20 22:43:37 UTC
a2jmidid-6-3.fc12.1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update a2jmidid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/a2jmidid-6-3.fc12.1

Comment 12 Fedora Update System 2010-08-05 23:28:20 UTC
a2jmidid-6-3.fc12.1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-05 23:32:58 UTC
a2jmidid-6-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.